Teamviewer wont install on 16.10

Bug #1634228 reported by Gord Berta on 2016-10-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

sudo dpkg -i teamviewer_11.0.67687_amd64.deb
[sudo] password for gord:
Selecting previously unselected package teamviewer.
(Reading database ... 174083 files and directories currently installed.)
Preparing to unpack teamviewer_11.0.67687_amd64.deb ...
Unpacking teamviewer (11.0.67687) ...
dpkg: dependency problems prevent configuration of teamviewer:
 teamviewer depends on lib32asound2; however:
  Package lib32asound2 is not installed.
 teamviewer depends on ia32-libs; however:
  Package ia32-libs is not installed.

The following packages have unmet dependencies:
 teamviewer : Depends: lib32asound2 but it is not installable
              Depends: ia32-libs but it is not installable
E: Unmet dependencies. Try using -f.

dpkg: error processing package teamviewer (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 teamviewer

libpng12-0_1.2.54-1ubuntu1_i386.deb needs to be added to the repositories for the fix.

please ask them to rebuild using the new libpng16.
This is a bug that affects Debian Stretch+ and Yakkety+ releases
Maintainer: TeamViewer GmbH <email address hidden>
Homepage: http://www.teamviewer.com
Version: 11.0.67687
Architecture: i386
Section: non-free/net
Priority: optional
Depends: libc6 (>= 2.4), libgcc1, libasound2, libdbus-1-3, libexpat1, libfontconfig1, libfreetype6, libjpeg62, libpng12-0, libsm6, libxdamage1, libxext6, libxfixes3, libxinerama1, libxrandr2, libxrender1,

Changed in launchpad:
status: New → Invalid
affects: launchpad → ubuntu
Mattia Rizzolo (mapreri) wrote :

> Depends: ia32-libs but it is not installable

also this is quite bad practice in 2016, we have had multi-arch for quite a while.
OTOH they should just properly make their application to build and run natively on amd64 without 32 bit libs.

walter (waltterio) wrote :

root@Lenovo:/home/xxx/Descargas# dpkg -i teamviewer_11.0.67687_amd64.deb
Seleccionando el paquete teamviewer previamente no seleccionado.
(Leyendo la base de datos ... 221264 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar teamviewer_11.0.67687_amd64.deb ...
Desempaquetando teamviewer (11.0.67687) ...
dpkg: problemas de dependencias impiden la configuración de teamviewer:
 teamviewer depende de lib32asound2; sin embargo:
  El paquete `lib32asound2' no está instalado.
 teamviewer depende de lib32z1; sin embargo:
  El paquete `lib32z1' no está instalado.
 teamviewer depende de ia32-libs; sin embargo:
  El paquete `ia32-libs' no está instalado.

dpkg: error al procesar el paquete teamviewer (--install):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 teamviewer

root@Lenovo:/home/xxxx/Descargas# dpkg -i teamviewer_11.0.67687_i386.deb
Seleccionando el paquete teamviewer:i386 previamente no seleccionado.
(Leyendo la base de datos ... 221273 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar teamviewer_11.0.67687_i386.deb ...
Desempaquetando teamviewer:i386 (11.0.67687) ...
dpkg: problemas de dependencias impiden la configuración de teamviewer:i386:
 teamviewer:i386 depende de libpng12-0.

dpkg: error al procesar el paquete teamviewer:i386 (--install):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 teamviewer:i386

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers